curl --request GET \
--url https://api.sandbox.tesouro.com/identity/v1/users/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdDateTime": "2023-11-07T05:31:56Z",
"email": "<string>",
"isExpenseApprover": true,
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationName": "<string>",
"status": "<string>",
"department": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"jobTitle": "<string>",
"lastLoggedInDateTime": "2023-11-07T05:31:56Z",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"reportingManagerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>"
}Returns the user only if they belong to an organization below the caller in the hierarchy. Requires the user:read scope.
Token types: APP, USER | Required scopes: user:read
curl --request GET \
--url https://api.sandbox.tesouro.com/identity/v1/users/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdDateTime": "2023-11-07T05:31:56Z",
"email": "<string>",
"isExpenseApprover": true,
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationName": "<string>",
"status": "<string>",
"department": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"jobTitle": "<string>",
"lastLoggedInDateTime": "2023-11-07T05:31:56Z",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"reportingManagerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
Use this file to discover all available pages before exploring further.
Application (M2M) OAuth2 access token (client credentials).
The user ID to retrieve.
Returns the user from a related organization.
Summary information for a user from a related organization.
A department reference on a user response.
Show child attributes
A location reference on a user response.
Show child attributes
Was this page helpful?